{ lib, pkgs, config, ... }:

{
  services.homepage-dashboard = {
    enable = true;
    settings = {
      title = "Honeycutt Homelab";
      background = "https://images.unsplash.com/photo-1502790671504-542ad42d5189?auto=format&fit=crop&w=2560&q=80";
      headerStyle = "boxed";
      layout = {
        media = { style = "row"; columns = 3; };
        infra = { style = "row"; columns = 2; };
        games = { style = "row"; columns = 1; };
      };
    };
    widgets = [
      { resources = { label = "system"; cpu = true; memory = true; }; }
      { resources = { label = "storage"; disk = [ "/mnt/DATA" ]; }; }
    ];
    services = [
      {
        media = [
          {
            Jellyfin = {
              icon = "jellyfin.png";
              href = "URL:8096";
              description = "media management";
            };
          }
          {
            Kavita = {
              icon = "kavita.png";
              href = "URL:5000";
              description = "book management";
            };
          }
          {
            PhotoPrism = {
              icon = "photoprism.png";
              href = "URL:2342";
              description = "photo management";
            };
          }
        ];
      }
      {
        infra = [
          {
            Hydra = {
              icon = "hydra.png";
              href = "URL:3000";
              description = "the Nix-based continuous build system";
            };
          }
          {
            Forgejo = {
              icon = "forgejo.png";
              href = "URL:3001";
              description = "a lightweight software forge, with a highlight on being completely free software";
            };
          }
        ];
      }
      {
        games = [
          {
            Minecraft = {
              icon = "minecraft.png";
              href = "URL:25565";
              description = "stack some blocks";
              widget = {
                type = "minecraft";
                url = "udp://URL:25565";
              };
            };
          }
        ];
      }
    ];

  };
}